faked(1)

NAME
faked - Daemon, der sich an gefälschte Besitz-/Zugriffsrechte von Dateien erinnert, die durch fakeroot-Prozesse manipuliert wurden

ÜBERSICHT
faked [--debug] [--foreground] [--cleanup] [--key Nachrichtenschlüssel] [--load] [--save-file zu_speichernde_Datei] [--port TCP-Port]

BESCHREIBUNG
Falls ein fakeroot-Prozess die Besitzrechte einer Datei ändern möchte, dann ist faked der Prozess, der sich an diesen neuen Besitzer erinnert. Falls der gleiche fakeroot-Prozess später stat() für diesen Dateinamen ausführt, dann wird der von libfakeroot umhüllte stat()-Aufruf zuerst faked nach den Besitzrechten etc. der Datei fragen und diese dann zurückliefern.

OPTIONEN

--debug
    gibt Informationen zur Fehlersuche auf der Standardfehlerausgabe aus.

--foreground
    verzweigt nicht in den Hintergrund.

--cleanup  Nummer
    bereinigt Semaphore

--key  Schlüsselnummer
    reserviert keinen neuen Kommunikationskanal, benutzt aber den durch den Schlüssel angegebenen Kanal. (Falls der angegebene Kanal nicht exisitiert, wird er erzeugt.)

--save-file  zu_speichernde_Datei
    sichert beim Beenden die Umgebung in zu_speichernde_Datei.

--load
    lädt eine vorher gesicherte Umgebung von der Standardeingabe.

--unknown-is-real
    benutzt echte Besitzrechte von vorher unbekannten Dateien, anstatt sie auf root:root zu setzen.

--port  TCP-Port
    benutzt TCP-Port tcp-port.

FEHLER
Weiter nichts. Seien Sie dennoch gewarnt: Obwohl der Autor ziemlich wenige wesentlich größere (und kleinere) Programme geschrieben hat, hat er nie etwas geschrieben, das so klein wie fakeroot war und so viele Fehler wie fakeroot hatte und immer noch so benutzbar war wie etwa fakeroot Version 0.0_3, der ersten Version, die benutzt werden konnte, um fakeroot selbst zu erstellen.

KOPIEREN
fakeroot wird unter den Bedingungnen der GNU General Public License. (GPL 2.0 oder höher) weitergegeben.

AUTOREN

Joost Witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

ÜBERSETZER
Übersetzung bei Chris Leick <debian-l10n-german@lists.debian.org>

HANDBUCHSEITE
größtenteils von J.H.M. Dassen <jdassen@debian.org>. Mods/Zusätze von Joost und Clint.

SIEHE AUCH
debuild(1), dpkg-buildpackage(1), fakeroot(1), /usr/share/doc/fakeroot/DEBUG